/*
██╗  ██╗ █████╗ ██╗   ██╗███████╗███╗   ██╗    ███╗   ███╗ ██████╗ ██████╗ ██████╗  █████╗  ██████╗██╗  ██╗███████╗
██║  ██║██╔══██╗██║   ██║██╔════╝████╗  ██║    ████╗ ████║██╔═══██╗██╔══██╗██╔══██╗██╔══██╗██╔════╝██║ ██╔╝██╔════╝
███████║███████║██║   ██║█████╗  ██╔██╗ ██║    ██╔████╔██║██║   ██║██║  ██║██████╔╝███████║██║     █████╔╝ ███████╗
██╔══██║██╔══██║╚██╗ ██╔╝██╔══╝  ██║╚██╗██║    ██║╚██╔╝██║██║   ██║██║  ██║██╔═══╝ ██╔══██║██║     ██╔═██╗ ╚════██║
██║  ██║██║  ██║ ╚████╔╝ ███████╗██║ ╚████║    ██║ ╚═╝ ██║╚██████╔╝██████╔╝██║     ██║  ██║╚██████╗██║  ██╗███████║
╚═╝  ╚═╝╚═╝  ╚═╝  ╚═══╝  ╚══════╝╚═╝  ╚═══╝    ╚═╝     ╚═╝ ╚═════╝ ╚═════╝ ╚═╝     ╚═╝  ╚═╝ ╚═════╝╚═╝  ╚═╝╚══════╝
*/
StartupEvents.registry('block', e => {
	e.create('haven_soil').displayName('§dHaven Soil').grassSoundType().mapColor('grass').hardness(0.6);
})

StartupEvents.registry('item', e => {
	e.create('haven:incomplete_raw_basic_processor')
	.texture('refinedstorage:item/raw_basic_processor')

	e.create('haven:incomplete_raw_improved_processor')
	.texture('refinedstorage:item/raw_improved_processor')

	e.create('haven:incomplete_raw_advanced_processor')
	.texture('refinedstorage:item/raw_advanced_processor')

	e.create('haven:incomplete_raw_withering_processor')
	.texture('extradisks:item/raw_withering_processor')

	e.create('haven:incomplete_raw_super_advanced_processor')
	.texture('rebornstorage:item/raw_super_advanced_processor')

	e.create('haven:incomplete_raw_neural_processor')
	.texture('extrastorage:item/raw_neural_processor')

	e.create('haven:incomplete_research_tier_basic')
	.texture('havenalchemy:item/research_tier_basic')

	e.create('haven:incomplete_research_tier_intermediate')
	.texture('havenalchemy:item/research_tier_intermediate')

	e.create('haven:incomplete_research_tier_elite')
	.texture('havenalchemy:item/research_tier_elite')

	e.create('haven:incomplete_research_tier_ultimate')
	.texture('havenalchemy:item/research_tier_ultimate')
})